Skip to main content
GET
/
v1
/
voices
/
search
Search voices.
curl --request GET \
  --url https://supertoneapi.com/v1/voices/search \
  --header 'x-sup-api-key: <api-key>'
{
  "items": [
    {
      "voice_id": "<voice-id>",
      "name": "Agatha",
      "age": "young-adult",
      "gender": "female",
      "use_case": "narration",
      "use_cases": [
        "narration",
        "storytelling"
      ],
      "language": [
        "ar",
        "bg",
        "cs",
        "da",
        "de",
        "el",
        "en",
        "es",
        "et",
        "fi",
        "fr",
        "hi",
        "hu",
        "id",
        "it",
        "ja",
        "ko",
        "nl",
        "pl",
        "pt",
        "ro",
        "ru",
        "vi"
      ],
      "styles": [
        "kind-default",
        "normal",
        "serene"
      ],
      "models": [
        "sona_speech_1",
        "sona_speech_2",
        "sona_speech_2_flash",
        "supertonic_api_1",
        "supertonic_api_3"
      ],
      "description": "",
      "samples": [
        {
          "language": "ko",
          "style": "kind-default",
          "model": "supertonic_api_3",
          "url": "https://example.com/samples/sample-audio.wav"
        }
      ],
      "thumbnail_image_url": "https://example.com/thumbnails/voice-thumbnail.png"
    }
  ],
  "total": 150,
  "next_page_token": "some_opaque_token_string_representing_last_id"
}
このドキュメントは英語の原文から自動翻訳されています。表現に不自然な箇所がある場合があります。正確な内容は英語の原文もあわせてご確認ください。
指定したフィルタに一致するプリセットボイスを返します。1 つのパラメータに複数の値を指定する場合はカンマ区切りで、OR 条件として扱われます。

エンドポイント

GET https://supertoneapi.com/v1/voices/search

クエリパラメータ

NameDescriptionExample
nameボイス名の部分一致です。Coco
description説明文の部分一致です。kind and gentle
language言語コードのカンマ区切りです。ko,en,ja
genderボイスの性別のカンマ区切りです。male,female
ageボイスの年齢グループです。child, young-adult, middle-aged, elder
use_case主要なユースケースです。audiobook, narration, advertisement
use_cases推奨ユースケース(OR 条件)です。audiobook,narration
style感情スタイルです。最初の値がデフォルトとなります。neutral, happy, sad, angry
modelサポートされるモデルです。sona_speech_1
page_size1 ページあたりの件数です。デフォルト 20、最大 10050
next_page_token前回のレスポンスから取得したトークンです。eyJpZCI6IjEyMzQ1In0=
sort はサポートされていません。結果は自然順で返されます。必要に応じてクライアント側でソートしてください。

スタイルと言語で絞り込む:
GET /v1/voices/search?style=happy&language=ko,en
スタイルリストに happy を含み、かつ韓国語または英語をサポートするボイスを返します。 ページング:
GET /v1/voices/search?page_size=50&next_page_token=eyJpZCI6IjEyMzQ1In0=

レスポンス

items(ボイスオブジェクトの配列)と next_page_token(文字列、オプショナル)を返します。一致するボイスがない場合、items は空の配列となり、リクエスト自体は 200 OK で返されます。

注意事項

  • カンマ区切りの値は OR 条件で評価されます: language=ko,en&style=happy,sad は、韓国語または英語をサポートし、かつ スタイルに happy または sad を含むボイスを返します。
  • 結果が空でもエラーではありません。4xx レスポンスに頼らず、items.length を確認してください。
  • ボイスオブジェクトの完全な構造(サンプル、サポートモデルなど)については、Voices をご参照ください。

関連項目

Docs: Voices

SDK コード付きのコンセプト解説。

Voice search example

アプリ内に検索可能なボイスピッカーを構築します。

Authorizations

x-sup-api-key
string
header
required

Query Parameters

page_size
number

Number of items per page (default: 20, min: 10, max: 100)

next_page_token
string

Token for pagination (obtained from the previous page's response)

name
string

Search across name. Space separated.

description
string

Search across description. Space separated.

language
string

Filter by language (comma-separated)

gender
string

Filter by gender (comma-separated)

age
string

Filter by age (comma-separated)

use_case
string

Filter by use case (comma-separated)

use_cases
string

Filter by use cases array (comma-separated for OR logic)

style
string

Filter by style (comma-separated for OR, semicolon-separated for AND). Mixing comma and semicolon is invalid and will result in 400. Note: AND semantics apply across styles on a single character; cloned voices have a single style and will only match AND when exactly one style is requested and equals the cloned voice style.

model
string

Filter by model (comma-separated)

Response

Paginated available voices response with next page token

items
object[]
required

List of character items

total
number
required

Total number of available characters (might be approximate or removed in future)

Example:

150

next_page_token
string

Token for fetching the next page of results. Undefined if no more pages.

Example:

"some_opaque_token_string_representing_last_id"